Skip to main content
`Ctrl`+`K`

# PetscViewerBinarySetSkipHeader

do not write a header with size information on output, just raw data

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinarySetSkipHeader(PetscViewer viewer, PetscBool skip)

Not Collective

## Input Parameters

- viewer - `PetscViewer` context, obtained from `PetscViewerBinaryOpen()`

- skip - `PETSC_TRUE` means do not write header

## Options Database Key

- -viewer_binary_skip_header <true or false> - true means do not write header

## Notes

This must be called after `PetscViewerSetType()`

If this option is selected, the output file cannot be read with the `XXXLoad()` such as `VecLoad()`

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerBinaryOpen()`, `PetscViewerBinaryGetDescriptor()`, `PetscViewerBinarySkipInfo()`, `PetscViewerBinaryGetSkipHeader()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/binary/binv.c

## Examples

src/dm/tutorials/ex15.c

## Implementations

PetscViewerBinarySetSkipHeader_Binary() in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerBinarySetSkipHeader_Socket() in src/sys/classes/viewer/impls/socket/send.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages